{% comment %}

Layout base
  HTML structure and common libraries for most other layouts.

  @block title 	Page title
  @block head 		Additional head content
  @block body 		Body content

{% endcomment %}

{% load sekizai_tags %}

<!doctype html>
<html class="">
    <head>
    {% if layout_name == 'hzpc' %}
      <title>HZPC &middot; {{ page_title }}</title>
    {% elif layout_name == 'agriplace' %}
  		<title>Agriplace &middot; {{ page_title }}</title>
    {% else %}
      <title>{{ page_title }}</title>
    {% endif %}
		<link rel="shortcut icon" href="{{STATIC_URL}}//img/favicon.ico">

        <!-- Meta -->
        {% render_block "meta" %}
        <!-- /Meta -->

        <!-- CSS -->
        {% render_block "css" %}
        <!-- /CSS -->

		{% block head_extra %}
		{% endblock %}
    </head>

    <body
            id="{% if body_id %}{{ body_id }}{% else %}{% block body_id %}{% endblock %}{% endif %}"
            class="{{ body_class }} {% block body_class %}{% endblock %}"
            {% block body_attrs %}{% endblock %}
    >
		{% block body %}
		{% endblock %}

        <!-- Sentry -->
      {% if SENTRY_JS_DSN %}
        <script src="//cdn.ravenjs.com/1.1.2/jquery,native/raven.min.js"></script>
        <script>
            Raven.config('{{ SENTRY_JS_DSN }}', {
                whitelistUrls: [/agriplace\.com/]
            }).install();
            Raven.setUser({
                username: '{{ user.username }}'
            });
        </script>
        <!-- /Sentry -->
      {% endif %}

        {% include 'parts/ga.html' %}
        <!-- JavaScript -->
        {% render_block "javascript-before-vendor" %}
        {% render_block "javascript-vendor" %}
        {% render_block "javascript-before-bundle" %}
        {% render_block "javascript" %}
        <!-- /JavaScript -->
	</body>

</html>


{% block sekizai %}
    {# stand alone sekizai tags can be added to this block so that they are later found by the root template #}

    {% addtoblock "meta" %}
        <meta charset="utf-8"/>
{#        Commented out to disable responsiveness #}
{#        <meta name="viewport" content="width=device-width, initial-scale=1.0">#}
        <meta name="qc-stamp" content="com.agriplace.test">
    {% endaddtoblock %}


    {% addtoblock "javascript" %}
        <script src="{{ STATIC_URL }}admin/js/urlify.js"></script>
    {% endaddtoblock %}

{% endblock %}
